## ros-lunar-roseus 1.7.4

=== debian/changelog ===
ros-lunar-roseus (1.7.4-0stretch) stretch; urgency=high

  * .travis.yml: run jsk_pr2eus tests in travis (#599 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/599> )test/simple-client-cancel-test.l: add test to find #567 regression
  * Revert "roseus: add :last-status-msg method for simple-action-client" (#578 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/578> )
  * Revert "add test for subscribe object dispose" (#525 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/525> )
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 04 Feb 2019 00:00:00 -0000

ros-lunar-roseus (1.7.3-0stretch) stretch; urgency=high

  * roseus.cpp: when topic is subscribed twice, cleanup previous callback function (#525 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/525> )
    * add test for subscribe object dispose
    * if object is set to gentem symbol, we can not dispose them
    * test/test-subscribe-dispose.test : add test for dispose
  * Fix typo in package.xml (#598 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/598> )
  * test/add-two-ints-client.l: read request values from argument (#596 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/596> )
  * This change enable to call
    ```
    $ rosrun roseus add_two_ints_client.l 4 5
    ```
    Closes #581 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/581>
  * roseus: add :last-status-msg method for simple-action-client (#578 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/578> )
  * [roseus-util.l] Fixed typo in (one-shot-publish :after-stamp t) :tosec -> :to-sec (#576 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/576> )
  * [roseus-util.l] fix comment typo: unction -> function (#583 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/583>)
  * roseus: reuse service server/client link on service call if connection is valid (#593 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/593> )
    * roseus.cpp: keep connection to server on persistent service call
    * test-add-two-ints.test: increase timelimit to 120 secs
    * test-service-callback.l: add test for calling unadvertised service
    * test-add-two-ints.l: add test code for persistent service call
  * Fix frame-exists method (#592 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/592> )
    * Add code to wait for transform in test-frame-exists by @Affonso-Gui
    * Fix wrong function in the :frame-exists method. (Fix #591 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/591>)
  * roseus: setlocale to none (#585 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/585> )
  * Contributors: Guilherme Affonso, Yuki Furuta, Kanae Kochigami, Kei Okada, Koga Yuya, Iori Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 01 Feb 2019 00:00:00 -0000

ros-lunar-roseus (1.7.2-0stretch) stretch; urgency=high

  * use PROJECT_SOURCE_DIR instaed of CMAKE_SOURCE_DIR for catkin_make (#580 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/580>)
    * add debug message for COMPILE defun.c
    * use PROJECT_SOURCE_DIR instaed of CMAKE_SOURCE_DIR for catkin_make
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 Nov 2018 00:00:00 -0000

ros-lunar-roseus (1.7.1-0stretch) stretch; urgency=high

  * add melodic test (#567 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/567>)
    * use rosrun roseus roseus test/test-namespace.l, instead of /usr/bin/env roseus
  * update function using new defun function (#569 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/569>)
    * CHNAGED EusLisp defun() arguments, see https://github.com/euslisp/EusLisp/pull/300
    * force generate defun.h header file
    * use euslisp(9.24)'s new defun api roseus.cpp taht takes doc as argument, remove _defun
    * add documentation string to defun functions
    * add documentation string to defun functions, (roseus_c_util.c uses NULL because this is not exported functions
  * [roseus.l] add length check for argument when searching __log:=t (#568 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/568>)
  * Contributors: Kei Okada, Yohei Kakiuchi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 22 Jul 2018 00:00:00 -0000

ros-lunar-roseus (1.7.0-0stretch) stretch; urgency=high

  * (ros::tf-transform->coords) failed with with geometry_msgs::Transform (#563 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/563>)
    * fix when tf-transform->coords receives geometry_msgs::Transform
    * [test/eustf.l] Add test to check (ros::tf-transform->coords) with geometry_msgs::Transform
  * [roseus-utils.l]fix eusobj->marker-msg (#555 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/555>)
    * load dependent packages if msg/srv is not found in ros::load-ros-manifest
    * add ros::rospack-depends
    * roseus is always have roseus/ros/roseus
    * add debug message when loading manifest/msg/srv files, also more message when we need to avoid using load-ros-manifest
    * INDIGO: https://github.com/jsk-ros-pkg/jsk_roseus/issues/554if pkg without msg, need to return no-msg-package
    JADE/KINETIC: https://github.com/jsk-ros-pkg/jsk_robot/issues/823
    package without msg does not have manifest.l
    
      * fix find-load-msg-path, use dirs ~/share instaed of ~/share/roseus, it does not change logic
    
  * do not load manifest.l when we have source tree, but does not have manifest.l because of missing msg/srv (#554 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/554>)
  * add test to check :connection-header (#540 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/540>)
    * roseusp.cpp : add :connection-header method
    * add test to check :connection-header
  * fix dead locking on accessing rosparam in timer callback (#557 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/557>)
    * test-mark-lock.l: add function using mark_lock
    * roseus: remove mutex_lock / unlock
    * roseus: add test code for dead locking of mark_lock
  * add test code for [unexpected behavior if message has property name] #508 (#509 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/509>)

